This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 837971 - ICE when building trafficserver on ARM with gcc 4.7.1
ICE when building trafficserver on ARM with gcc 4.7.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
arm7 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-07-05 19:49 EDT by Peter Robinson
Modified: 2013-03-31 14:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-31 14:57:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Preprocessed source stored into /tmp/ccqtaNBC.out (256.00 KB, application/octet-stream)
2012-07-05 19:49 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2012-07-05 19:49:16 EDT
Created attachment 596534 [details]
Preprocessed source stored into /tmp/ccqtaNBC.out

http://arm.koji.fedoraproject.org/taskinfo?taskID=944114

../lib/ts/Diags.h:213:8: note: the mangling of 'va_list' has changed in GCC 4.4
SocksProxy.cc: In member function 'void SocksProxy::init(NetVConnection*)':
SocksProxy.cc:110:1: internal compiler error: in replace_reg_with_saved_mem, at caller-save.c:1125
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
  CXX    Transform.o
In file included from ../lib/ts/libts.h:105:0,
                 from ProxyConfig.h:34,
                 from Transform.cc:64:
../lib/ts/Diags.h:213:8: note: the mangling of 'va_list' has changed in GCC 4.4
Preprocessed source stored into /tmp/ccqtaNBC.out file, please attach this to your bugreport.
make[2]: *** [SocksProxy.o] Error 1
make[2]: *** Waiting for unfinished jobs....
Comment 1 Jakub Jelinek 2012-08-10 11:35:26 EDT
The file attached is incomplete (cut at 256KB apparently).
Comment 2 Peter Robinson 2013-03-31 14:57:03 EDT
It seems to build OK with gcc 4.8.0

Note You need to log in before you can comment on or make changes to this bug.